
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql错误解决总结 / iVAN</title>

    <meta name="description" content="mysql错误解决总结 1. MySQL错误日志里出现: 140331 10:08:18 [ERROR] Error reading master configuration 140331 10:08:18 [ERROR] Failed to initialize the master info structure 140331 10:08:18 [Note] Event Scheduler: Loaded 0 events   从错误提示就可以看出和mster info相关,找到数据目录下的master.info文件">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql错误解决总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、</p>
<p>MySQL错误日志里出现：</p>
<p>140331 10:08:18 [ERROR] Error reading master configuration</p>
<p>140331 10:08:18 [ERROR] Failed to initialize the master info structure</p>
<p>140331 10:08:18 [Note] Event Scheduler: Loaded 0 events</p>
<p> </p>
<p>从错误提示就可以看出和mster info相关，找到数据目录下的master.info文件，直接cat查看</p>
<p># cat master.info </p>
<p> </p>
<p>18</p>
<p>luocs-mysql-</p>
<p> </p>
<p>bin.000004</p>
<p>267</p>
<p>1.1.1.1</p>
<p>rep1</p>
<p>PASSWORD</p>
<p>3306</p>
<p>60</p>
<p>0</p>
<p> </p>
<p> </p>
<p> </p>
<p> </p>
<p> </p>
<p>0</p>
<p>1800.000</p>
<p> </p>
<p>0</p>
<p> </p>
<p>可以看出格式不对，解决方法非常简单，reset slave即可，这样将会清空master.info文件，错误也将消失。</p>
<p> </p>
<p>———————————————————————————————————————————————————————–</p>
<p>2、</p>
<p>MySQL 往一张大表添加字段时报如下错误：</p>
<p>ERROR 1799 (HY000) at line 1: Creating index 'PRIMARY' required more than 'innodb_online_alter_log_max_size' bytes of modification log. Please try again. </p>
<p> </p>
<p>解决方法：</p>
<p>我的数据库为MySQL 5.5版本，innodb_online_alter_log_max_size值为默认大小128M。</p>
<p>mysql&gt; show variables like 'innodb_online_alter_log_max_size';</p>
<p>+——————————————+———————-+</p>
<p>| Variable_name                            | Value                |</p>
<p>+——————————————+———————-+</p>
<p>| innodb_online_alter_log_max_size         | 134217728            |</p>
<p>+——————————————+———————-+</p>
<p>1 rows in set (0.00 sec)</p>
<p> </p>
<p>该参数为动态参数且全局的，可通过如下命令加大</p>
<p>mysql&gt; set global innodb_online_alter_log_max_size=402653184;</p>
<p>Query OK, 0 rows affected (0.03 sec)</p>
<p> </p>
<p>加到合适大小，我往120G大小表里添加字段设置该值4G，成功执行。</p>
<p> </p>
<p>———————————————————————————————————————————————————————–</p>
<p>3、</p>
<p>MySQL日志：</p>
<p>140306 12:03:25  InnoDB: ERROR: the age of the last checkpoint is 9434024,</p>
<p>InnoDB: which exceeds the log group capacity 9433498.</p>
<p>InnoDB: If you are using big BLOB or TEXT rows, you must set the</p>
<p>InnoDB: combined size of log files at least 10 times bigger than the</p>
<p>InnoDB: largest such row.</p>
<p> </p>
<p>应该是Innodb引擎下日志大小设置过小导致的，某个事物产生大量日志，但innodb_log_file_size设置过小，可以加大解决。</p>
<p> </p>
<p>解决方法：</p>
<p>直接贴网上找到的方法，如下</p>
<p>STEP 01) Change the following in /etc/my.cnf</p>
<p>[mysqld]</p>
<p>innodb_log_buffer_size          = 32M</p>
<p>innodb_buffer_pool_size         = 3G</p>
<p>innodb_log_file_size            = 768M</p>
<p>STEP 02) mysql -uroot -p -e"SET GLOBAL innodb_fast_shutdown = 0;"</p>
<p>STEP 03) service mysql stop</p>
<p>STEP 04) rm -f /var/lib/mysql/ib_logfile*</p>
<p>STEP 05) service mysql start</p>
<p>I added SET GLOBAL innodb_fast_shutdown = 0;. What does that do? It forces InnoDB to completely purge transactional changes from all of InnoDB moving parts, including the transactional logs (ib_logfile0, ib_logfile1). Thus, there is no need to backup the old<br />
 ib_logfile0, ib_logfile1. If deleting them makes you nervous, then make Step 04</p>
<p> </p>
<p>mv /var/lib/mysql/ib_logfile* ..</p>
<p> </p>
<p>———————————————————————————————————————————————————————–</p>
<p>4、</p>
<p>使用pt-online-schema-change工具添加字段时，收到错误如下：</p>
<p># pt-online-schema-change –alter="add column tag_common text default null" –user=root –password=xxxxxxxx D=MYDB,t=MYTB –execute</p>
<p>Cannot connect to D=lsedata_13Q1,h=10.13.7.47,p=…,u=root</p>
<p>No slaves found.  See –recursion-method if host BJL1-Y13-10-ops.gaoder.net has slaves.</p>
<p>Not checking slave lag because no slaves were found and –check-slave-lag was not specified.</p>
<p> </p>
<p># A software update is available:</p>
<p>#   * Percona Toolkit 2.2.6 has a possible security issue (CVE-2014-2029) upgrade is recommended. The current version for Percona::Toolkit is 2.2.7.</p>
<p> </p>
<p>The table `MYDB`.`MYTB` has triggers.  This tool needs to create its own triggers, so the table cannot already have triggers.</p>
<p> </p>
<p>这是MYTB表上之前就有触发器的原因，可以从pt-online-schema-change的工作机制了解到：</p>
<p> </p>
<p>1) 如果存在外键，根据alter-foreign-keys-method参数值，检测外键相关的表，针对相应的设置进行处理；</p>
<p>2) 创建一个新的表，表结构修改后的数据表，用于从源数据表向新表中导入数据；</p>
<p>3) 创建触发器，在复制数据开始之后，将对源数据表继续进行数据修改的操作记录下来，以便在数据复制结束后执行这些操作，保证数据不会丢失；</p>
<p>4) 复制数据，从源数据表中复制数据到新表中；</p>
<p>5) 修改外键相关的子表，根据修改后的数据，修改外键关联的子表；</p>
<p>6) 更改源数据表为old表，把新表更改为源表名，并将old表删除；</p>
<p>7) 删除触发器；</p>
<p> </p>
<p>pt-online-schema-change详细文档，请阅读：http://www.percona.com/doc/percona-toolkit/2.1/pt-online-schema-change.html</p>
<p> </p>
<p>———————————————————————————————————————————————————————–</p>
<p>5、</p>
<p>我们在使用mysqldump的时候可能会遇到如下错误：</p>
<p>mysqldump: Got error: 1044: Access denied for user 'lseread'@'IP' to database 'lsedata_13q1' when doing LOCK TABLES</p>
<p> </p>
<p>解决方法：</p>
<p>加上–skip-lock-tables即可，类似如下：</p>
<p>mysqldump -h1.1.1.1  -uuser   -ppassword   -P3306 mydb mytb –where "time &lt;= cast('2014-04-03 16:00' as datetime)" –skip-lock-tables –default-character-set=utf8  &gt; mytb.txt </p>
<p> </p>
<p>MySQL5.6开始提供新特性GTID模式，我们的研发人员在我提供的从库上dump的时候遇到如下警告：</p>
<p>Warning: Using a password on the command line interface can be insecure.</p>
<p>Warning: A partial dump from a server that has GTIDs will by default include the GTIDs of all transactions, even those that changed suppressed parts of the database. If you don't want to restore GTIDs, pass –set-gtid-purged=OFF. To make a complete dump, pass<br />
 –all-databases –triggers –routines –events.</p>
<p> </p>
<p>虽然有警告，但数据还是可以dump出来，郁闷的是，想把dump文件导入到其他版本数据库的时候将会遇到：</p>
<p>ERROR 1839 (HY000) at line 24: @@GLOBAL.GTID_PURGED can only be set when @@GLOBAL.GTID_MODE = ON.</p>
<p> </p>
<p>参考如下文：</p>
<p>gtid_executed:</p>
<p>WHEN used WITH global scope, this variable contains a representation OF the SET OF ALL transactions that are logged IN the BINARY log. </p>
<p>WHEN used WITH SESSION scope, it contains a representation OF the SET OF transactions that are written TO the cache IN the CURRENT SESSION.</p>
<p>Issuing RESET MASTER causes the global VALUE (but NOT the SESSION VALUE) OF this variable TO be reset TO an empty string.</p>
<p> </p>
<p>解决方法：</p>
<p>dump的时候加上参数–gtid-mode=OFF，类似如下：</p>
<p>mysqldump -h1.1.1.1  -uuser   -ppassword   -P3306 mydb mytb –where "time &lt;= cast('2014-04-03 16:00' as datetime)" –skip-lock-tables –default-character-set=utf8 –gtid-mode=OFF &gt; mytb.txt </p>
<p> </p>
<p>———————————————————————————————————————————————————————–</p>
<p>6、</p>
<p>给一张大表添加字段，过了一段时间系统HANG住，添加字段工作中断。系统重启之后，想重新添加字段，却遇到如下错误：</p>
<p>mysql&gt; alter table mytb add column yyy text default null;</p>
<p>ERROR 1050 (42S01): Table 'mydb/#sql-ib54' already exists</p>
<p> </p>
<p>查看MySQL err日志：</p>
<p>2014-04-04 09:10:12 10578 [Note] /opt/mysql5.6/bin/mysqld: ready for connections.</p>
<p>Version: '5.6.17-log'  socket: '/opt/mysql5.6/data/mysql.sock'  port: 3307  Source distribution</p>
<p>2014-04-04 09:10:24 10578 [ERROR] InnoDB: Failed to find tablespace for table '"mydb"."#sql-ib54"' in the cache. Attempting to load the tablespace with space id 54.</p>
<p>2014-04-04 09:10:24 52e55940  InnoDB: Operating system error number 2 in a file operation.</p>
<p>InnoDB: The error means the system cannot find the path specified.</p>
<p>2014-04-04 09:10:24 10578 [ERROR] InnoDB: Could not find a valid tablespace file for 'mydb/#sql-ib54'. See http://dev.mysql.com/doc/refman/5.6/en/innodb-troubleshooting-datadict.html for how to resolve the issue.</p>
<p> </p>
<p>查看数据目录，有#开头的一些文件，如下：</p>
<p># ls</p>
<p>– 其他表信息忽略，之所以.ibd文件较多是因为操作表mytb为分区表</p>
<p>#sql-ib58.ibd  #sql-ib65.ibd #sql-1935_2.frm  #sql-ib59.ibd  #sql-ib66.ibd</p>
<p>#sql-1935_2.par  #sql-ib60.ibd  #sql-ib67.ibd #sql-ib54.ibd    #sql-ib61.ibd</p>
<p>#sql-ib55.ibd    #sql-ib62.ibd #sql-ib56.ibd    #sql-ib63.ibd #sql-ib57.ibd    #sql-ib64.ibd</p>
<p> </p>
<p>这个问题我头一次碰到，没深入研究过其中细节，只是想着#开头为临时文件，觉得可以rm，不犹豫直接删掉。</p>
<p>然后重启数据库，结果报了大量ERROR：</p>
<p>2014-04-04 09:10:12 2b1b9b20dfe0  InnoDB: Operating system error number 2 in a file operation.</p>
<p>InnoDB: The error means the system cannot find the path specified.</p>
<p>InnoDB: If you are installing InnoDB, remember that you must create</p>
<p>InnoDB: directories yourself, InnoDB does not create them.</p>
<p>2014-04-04 09:10:12 10578 [ERROR] InnoDB: Could not find a valid tablespace file for 'mydb/#sql-ib54'. See http://dev.mysql.com/doc/refman/5.6/en/innodb-troubleshooting-datadict.html for how to resolve the issue.</p>
<p>2014-04-04 09:10:12 10578 [ERROR] InnoDB: Tablespace open failed for '"mydb"."#sql-ib54"', ignored.</p>
<p>2014-04-04 09:10:12 2b1b9b20dfe0  InnoDB: Operating system error number 2 in a file operation.</p>
<p>InnoDB: The error means the system cannot find the path specified.</p>
<p>InnoDB: If you are installing InnoDB, remember that you must create</p>
<p>InnoDB: directories yourself, InnoDB does not create them.</p>
<p>2014-04-04 09:10:12 10578 [ERROR] InnoDB: Could not find a valid tablespace file for 'mydb/#sql-ib55'. See http://dev.mysql.com/doc/refman/5.6/en/innodb-troubleshooting-datadict.html for how to resolve the issue.</p>
<p>2014-04-04 09:10:12 10578 [ERROR] InnoDB: Tablespace open failed for '"mydb"."#sql-ib55"', ignored.</p>
<p>……</p>
<p> </p>
<p>遇到问题需要淡定，我尝试继续添加字段，但报错依然。</p>
<p>然后我阅读了下错误日志里给出的http://dev.mysql.com/doc/refman/5.6/en/innodb-troubleshooting-datadict.html文章，才了解到，在独立表空间模式下通过shell命令删除表结构和表空间文件的话就会遇到这种问题。</p>
<p> </p>
<p>文中还给出了抢救方法，我找到了如下文段：</p>
<p>Problem with Temporary Table</p>
<p> </p>
<p>If MySQL crashes in the middle of an ALTER TABLE operation, you may end up with an orphaned temporary table inside the InnoDB tablespace. Using the Table Monitor, you can see listed a table with a name that begins with #sql-. You can perform SQL statements<br />
 on tables whose name contains the character “#” if you enclose the name within backticks. Thus, you can drop such an orphaned table like any other orphaned table using the method described earlier. To copy or rename a file in the Unix shell, you need to put<br />
 the file name in double quotation marks if the file name contains “#”.</p>
<p> </p>
<p>我就创建了一个新库，创建了同结构的表，然后再该表上进行添加字段操作，这时候新库数据目录下又产生#sql-开头的文件，我把这些文件全部拷贝到原库目录下。</p>
<p>接着全部改名，如下：</p>
<p># mv \#sql-2ff9_1.frm sql-2ff9_1.frm</p>
<p># mv \#sql-2ff9_1.par sql-2ff9_1.par</p>
<p># mv \#sql-ib82.ibd sql-ib82.ibd </p>
<p># mv \#sql-ib83.ibd sql-ib83.ibd </p>
<p># mv \#sql-ib84.ibd sql-ib84.ibd </p>
<p># mv \#sql-ib85.ibd sql-ib85.ibd </p>
<p># mv \#sql-ib86.ibd sql-ib86.ibd </p>
<p># mv \#sql-ib87.ibd sql-ib87.ibd </p>
<p># mv \#sql-ib88.ibd sql-ib88.ibd </p>
<p># mv \#sql-ib89.ibd sql-ib89.ibd </p>
<p># mv \#sql-ib90.ibd sql-ib90.ibd </p>
<p># mv \#sql-ib91.ibd sql-ib91.ibd </p>
<p># mv \#sql-ib92.ibd sql-ib92.ibd </p>
<p># mv \#sql-ib93.ibd sql-ib93.ibd </p>
<p># mv \#sql-ib94.ibd sql-ib94.ibd </p>
<p># mv \#sql-ib95.ibd sql-ib95.ibd </p>
<p> </p>
<p>这样show tables能查看表信息：</p>
<p> </p>
<p>mysql&gt; show tables;</p>
<p>+———————+</p>
<p>| Tables_in_mydb   |</p>
<p>+———————+</p>
<p>| #mysql50#sql-2ff9_1 |</p>
<p>+———————+</p>
<p>1 rows in set (0.01 sec)</p>
<p> </p>
<p>但悲剧的是，我尝试删除#mysql50#sql-2ff9_1这个表，却始终没能删掉。</p>
<p>时间耗得也不少，开发那边一直在询问进展。</p>
<p>我就想到别的方案：</p>
<p>该表rename，创建结构一样的新表，导数据到新表，再往新表里增加字段，rename的表删除。</p>
<p> </p>
<p>实际证明此方案可行。就是数据量大，导数据过程时间长，当然增加字段时间也一样长。</p>
<p> </p>
<p>那网上有些人说删除ibdata1和ib_logfile0、1，然后重启数据库就可以解决，这方法可行吗？</p>
<p>答案当然是NO，在独立表空间模式下，ibdata里保存数据字典以及UNDO信息，删除之后重启数据库将会生成全新的ibdata，也就是丢失了字典信息和UNDO了。</p>
<p> </p>
<p>到时候会出现如下现象：</p>
<p>mysql&gt; show tables;</p>
<p>+——————-+</p>
<p>| Tables_in_mydb |</p>
<p>+——————-+</p>
<p>| t1          |</p>
<p>+——————-+</p>
<p>1 rows in set (0.01 sec)</p>
<p> </p>
<p>mysql&gt; select count(*) from t1;</p>
<p>ERROR 1146 (42S02): Table 'mydb.t1' doesn't exist</p>
<p>———————————————————————————————————————————————————————–</p>
<p> </p>
<p>7、</p>
<p>主从复制失败，查看slave日志如下错误：</p>
<p>140405  4:16:12 [ERROR] Slave I/O: error reconnecting to master 'rep1@10.13.34.199:3306' – retry-time: 60  retries: 86400, Error_code: 2003</p>
<p>140405  6:53:12 [Note] Slave: connected to master 'rep1@10.13.34.199:3306',replication resumed in log 'mysql-bin.000275' at position 192295247</p>
<p>140405  6:53:12 [ERROR] Error reading packet from server: Could not find first log file name in binary log index file ( server_errno=1236)</p>
<p>140405  6:53:12 [ERROR] Slave I/O: Got fatal error 1236 from master when reading data from binary log: 'Could not find first log file name in binary log index file', Error_code: 1236</p>
<p>140405  6:53:12 [Note] Slave I/O thread exiting, read up to log 'mysql-bin.000275', position 192295247</p>
<p>140405  6:54:11 [Note] Error reading relay log event: slave SQL thread was killed</p>
<p>140405  6:54:11 [Note] Slave I/O thread: connected to master 'rep1@10.13.34.199:3306',replication started in log 'mysql-bin.000275' at position 192295247</p>
<p>140405  6:54:11 [ERROR] Error reading packet from server: Could not find first log file name in binary log index file ( server_errno=1236)</p>
<p>140405  6:54:11 [ERROR] Slave I/O: Got fatal error 1236 from master when reading data from binary log: 'Could not find first log file name in binary log index file', Error_code: 1236</p>
<p>140405  6:54:11 [Note] Slave I/O thread exiting, read up to log 'mysql-bin.000275', position 192295247</p>
<p>140405  6:54:11 [Note] Slave SQL thread initialized, starting replication in log 'mysql-bin.000275' at position 192295247, relay log './SHUBEI-34-198-relay-bin.000153' position: 192295393</p>
<p> </p>
<p>从指定的binlog里找到指定的position位置，我发现这已经到头了，之后就是切了新binlog</p>
<p># mysqlbinlog mysql-bin.000275 | grep -A 10 192295247 </p>
<p>#140405  3:16:06 server id 1  end_log_pos 192295247     Xid = 468032712</p>
<p>COMMIT/*!*/;</p>
<p>DELIMITER ;</p>
<p># End of log file</p>
<p>ROLLBACK /* added by mysqlbinlog */;</p>
<p>/*!50003 SET COMPLETION_TYPE=@OLD_COMPLETION_TYPE*/;</p>
<p> </p>
<p>这下问题好解决了，给从库指定新的binlog即可。</p>
<p> </p>
<p>主库show master status;</p>
<p>mysql&gt; show master status;</p>
<p>+——————+———-+————–+——————+</p>
<p>| File             | Position | Binlog_Do_DB | Binlog_Ignore_DB |</p>
<p>+——————+———-+————–+——————+</p>
<p>| mysql-bin.000276 |      107 |              | test             |</p>
<p>+——————+———-+————–+——————+</p>
<p>1 row in set (0.00 sec)</p>
<p> </p>
<p>从库重新配置复制：</p>
<p>mysql&gt; stop slave;</p>
<p>Query OK, 0 rows affected (0.00 sec)</p>
<p> </p>
<p>mysql&gt; change master to master_host='10.13.34.199',master_port=3306,master_user='rep1',master_password='RepSlavE&amp;2013', master_log_file='mysql-bin.000276',master_log_pos=107; </p>
<p>Query OK, 0 rows affected (0.05 sec)</p>
<p> </p>
<p>mysql&gt; start slave;</p>
<p>Query OK, 0 rows affected (0.00 sec)</p>
<p> </p>
<p>查看主从复制状态：</p>
<p>mysql&gt; show slave status\G</p>
<p>—-省略—-</p>
<p>             Slave_IO_Running: Yes</p>
<p>            Slave_SQL_Running: Yes</p>
<p>———————————————————————————————————————————————————————–</p>
<p>8、</p>
<p>解决ERROR 1872 (HY000): Slave failed to initialize relay log info structure from the repository</p>
<p>修改了relay-log的输出格式之后，重启MySQL，同步失败</p>
<p> </p>
<p>mysql&gt; start slave;</p>
<p>ERROR 1872 (HY000): Slave failed to initialize relay log info structure from the repository</p>
<p> </p>
<p>MySQL Error日志：</p>
<p>2014-02-20 16:35:19 27094 [ERROR] Failed to open the relay log './luocs166-relay-bin.000007' (relay_log_pos 359).</p>
<p>2014-02-20 16:35:19 27094 [ERROR] Could not find target log file mentioned in relay log info in the index file '/opt/mysql/data/anav-relay-log.index' during relay log initialization.</p>
<p> </p>
<p>解决方法：</p>
<p>我在查看change master to命令的时候找到如下文段</p>
<p>mysql&gt; ? change master to</p>
<p>– 省略大部分</p>
<p>The next example shows an operation that is less frequently employed.</p>
<p>It is used when the slave has relay log files that you want it to</p>
<p>execute again for some reason. To do this, the master need not be</p>
<p>reachable. You need only use CHANGE MASTER TO and start the SQL thread</p>
<p>(START SLAVE SQL_THREAD):</p>
<p> </p>
<p>CHANGE MASTER TO</p>
<p>  RELAY_LOG_FILE='slave-relay-bin.006',</p>
<p>  RELAY_LOG_POS=4025;</p>
<p> </p>
<p>但我的数据库版本为5.6，使用了GTID模式，使用报错：</p>
<p>mysql&gt; CHANGE MASTER TO</p>
<p>    -&gt; RELAY_LOG_FILE='anav-relay-log.000001',</p>
<p>    -&gt; RELAY_LOG_POS=120;</p>
<p>ERROR 1776 (HY000): Parameters MASTER_LOG_FILE, MASTER_LOG_POS, RELAY_LOG_FILE and RELAY_LOG_POS cannot be set when MASTER_AUTO_POSITION is active.</p>
<p> </p>
<p>因此如下解决：</p>
<p>mysql&gt; reset slave;</p>
<p>Query OK, 0 rows affected (0.00 sec)</p>
<p> </p>
<p>mysql&gt; CHANGE MASTER TO</p>
<p>    -&gt; MASTER_HOST='10.19.3.168',</p>
<p>    -&gt; MASTER_USER='repl2',</p>
<p>    -&gt; MASTER_PASSWORD='oracle',</p>
<p>    -&gt; MASTER_AUTO_POSITION = 1;</p>
<p>Query OK, 0 rows affected, 2 warnings (0.02 sec)</p>
<p> </p>
<p>mysql&gt; start slave;</p>
<p>Query OK, 0 rows affected, 1 warning (0.01 sec)</p>
<p> </p>
<p>mysql&gt; show slave status\G</p>
<p>…. 省略部分 ….</p>
<p>             Slave_IO_Running: Yes</p>
<p>            Slave_SQL_Running: Yes</p>
<p>参考：</p>
<p>http://www.luocs.com/archives/840.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 22:36:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93rds/" title="云数据库RDS">云数据库RDS</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql错误解决总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmxVab.html" rel="bookmark">MYSQL错误解决：ERROR 2002 &lpar;HY000&rpar;&colon; Can&amp;&num;039&semi;t connect to local MySQL server through socket &amp;&num;039&semi;&sol;var&sol;lib&sol;mysql&sol;mysql&period;sock&amp;&num;039&semi; &lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) 据说这个问题的原因很多,当然,我自己这个问题我是清楚的,就是mysql.sock的位置所致,一个是PHP要求的,一个是MYSQLD定义的,一个是MY.CONF指定的...SO.... 暂时不能统一的话,用软链接LN -S命令解决吧..   方案5      摘要:解决不能通过mysql .so			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0Adjp.html" rel="bookmark">MYSQL错误解决：ERROR 2002 &lpar;HY000&rpar;&colon; Can&amp;amp&semi;&num;39&semi;t connect to local MySQL server through socket &amp;amp&semi;&num;39&semi;&sol;var&sol;lib&sol;mysql&sol;mysql&period;sock&amp;amp&semi;&num;39&semi; &lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) 据说这个问题的原因很多,当然,我自己这个问题我是清楚的,就是mysql.sock的位置所致,一个是PHP要求的,一个是MYSQLD定义的,一个是MY.CONF指定的...SO.... 暂时不能统一的话,用软链接LN -S命令解决吧..   方案5      摘要:解决不能通过mysql .so			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7LmAM.html" rel="bookmark">mysql 1046错误解决实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL 1046错误解决: &lt;?PHP require_once './include/common.inc.php'; $maxpostnum = 200; //设定最小帖子数量 if(!$discuz_user || !$discuz_pw) { showmessage('对不起,您还没有登录,无法进行此操作.'); } if(!$adminid ){ $query=$db-&gt;query(&quot;SELECT postnum,credit FROM bbs.cdb_members			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AXe7p.html" rel="bookmark">Mysql错误1366 - Incorrect integer value怎么解决？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Mysql错误1366 - Incorrect integer value解决方法,本文通过修改字段默认值解决,需要的朋友可以参考下 由于这个数据库服务器存放的数据库比较多且都是小数据库,所以最初的时候是运行在windows服务器上的.前一段时间由于机房服务器要做调整,于是我便在一个夜深人静的夜晚对数据库进行的迁移及前台应用程序进行了调整,调整结束后测试应用均可以正常访问后我便离去了. 周一刚上班就收到反馈:网站后台发布文章报如下错误: 代码如下: insert into			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPmPBM.html" rel="bookmark">Mysql教程：1067错误解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1 安装MYSQL后更改了ROOT的密码后用 net startmysql 启动时我就遇到了这样的问题.使用以下命令后 c:mysqlbinmysqladmin-u root -p shutdown 再net start mysql就没有这个错误提示了! 2 MySQL的1067错误 Q:我的Mysql碰到了 1067 错误 错误信息为: A system error has occurred. System error 1067 has occurred. The process term			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7J76M.html" rel="bookmark">解决Mysql 错误：cannot create windows service for</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  今天上课给又总结了Blog的一些技巧,其中比较有成就感的就是如何实现&quot;标题-分类名-博客名&quot;,呵呵!接下来又有学生追着我问我MYSQL的安装问题,多亏是没上课,要不就卡住了,找了半天才发现问题的解决方法,MYSQL错误:cannot create windows service for mysql.error:0 安装新的MYSLQ数据库,安装好运行MySQL Server Instance Config Wizard,在最后一步却发现无法启动服务,出现这样的提示&quot;can			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKr2qb.html" rel="bookmark">mysql中使用过程中常见错误解决办法收集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Mysql errono 1005 : 主外键不是完全一致 , 请检查如下几点:       a.字段是否存在       b.类型是否一致(注意unsigned , powerdesign 生成问题)       c.数据库引擎是否一致       d.字符编码是否一致       e.windows平台下注意修改lower_case_table_names = 0, windows本身不区分文件大小写,改为0之后就区分了可能造成找不到引用的表  2.Mysql errono  121: 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZD2XM.html" rel="bookmark">解决Mysql错误：Can&apos;t create&sol;write to file &apos;C&colon;&bsol;WINDOWS&bsol;TEMP&bsol;&num;sql&lowbar;1344&lowbar;0&period;MYD&apos; &lpar;Errcode&colon; 17&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决Mysql错误:Can't create/write to file 'C:\WINDOWS\TEMP\#sql_1344_0.MYD' (Errcode: 17)的问题,我所使用的系统是Windows Server http://www.aliyun.com/zixun/aggregation/19058.html&quot;&gt;2003 SP2+php 5.2.2+mysql5.0.22+McAfee杀毒软件,当访问用户主页的时候发现mysql出错误,下面来说一下具体的解决方法,风信网 htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKqaRz.html" rel="bookmark">mysql Out of memory &lpar;Needed 16777224 bytes&rpar;的错误解决&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天碰到这个错误. 至于我改的这几个值是不是正确的解决方法,目前还不知道.先贴出来. 如果过一段时间我还是没有更新,那以后同志们都参考吧 . Out of memory (Needed 16777224 bytes)的错误解决 看看手册: [url]http://dev.mysql.com/doc/refman/5.1/en/memory-storage-engine.html[/url] 开始我更改了query_cache_size的值. 好像也不行. 之后 增大query_cache_li			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZEY6p.html" rel="bookmark" class="title">以前收集的一些资料---如何在ASP中通过ODBC调用Excel中的数据</a>
					<div>
						excel|odbc|数据                如何在ASP中通过ODBC调用Excel中的数据    在ASP中通过ODBC调用Excel中的数据方式和普通的通过ODBC调用数据库的方式有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8vWxb.html" rel="bookmark" class="title">PS实例教程&colon;LAB模式下通过曲线调整秋季摄影图片</a>
					<div>
						效果图: 原图: [1] [2] [3] [4]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXQPyz.html" rel="bookmark" class="title">Fireworks制作一款动画Logo的方法</a>
					<div>
						Fireworks 应用的一大亮点就是轻松制作纷繁的动画效果,下面我们就来看看如何应用Fireworks MX2004 新增的一款滤镜效果来轻松制作如下图所示的动画效果: 1.准备阶段:打开FWMX2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jZw9b.html" rel="bookmark" class="title">用Sybase advantage清除melinets系统日志</a>
					<div>
						在应用melinets系统时,有时会出现系统缓慢以至于不能借还书,这种情况的出现原因就是系统日志文件已经慢了,需要清除日志文件,具体操作方法如下: 第一步:进入SYSBASE管理中的SQL advan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7kY3b.html" rel="bookmark" class="title">彩影将夜晚神奇般变成暖阳白昼</a>
					<div>
						大家可能经常都会拍到一些黑乎乎的夜景照片,把它删掉了又很可惜,留着又不知如何是好.今天我来向大家介绍如何使用彩影2010,让你轻松地将黑漆漆的黯淡夜色变成高品质的暖阳白昼,完美修复那些万般可惜的夜景照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPx1BM.html" rel="bookmark" class="title">Word2003文档打不开怎么办？</a>
					<div>
						在平常的工作当作,我们难免会遇上Word打不开的时候,那么我们应该如何解决这个问题呢?下面Word联盟就来给大家介绍两中最简单,而且非常使用的方法,快速的让大家恢复到以前正常的工作状态中. Word打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB05Oz.html" rel="bookmark" class="title">Win8地图是英文 界面语言转换为中文方法</a>
					<div>
						  win8地图是英文怎么转换为中文? Windows 8或者Windows 8.1自动的地图打开后地名显示为英文不是汉字(如下图),看起来好像不是很完善,其实是可能通过设置来转换成中文的. Win8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze62Bxb.html" rel="bookmark" class="title">jQuery插件pagewalkthrough实现引导页效果&lowbar;jquery</a>
					<div>
						现在很多网站不仅是介绍,更多的是有一些功能,怎么样让客户快速的知道网站有哪些功能呢?这里pagewalkthrough.js插件能帮我们实现,它是一个轻量级的jQuery插件,它可以帮助我们创建一个遮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAnoOM.html" rel="bookmark" class="title">浮点-计算机组成原理小数点问题</a>
					<div>
						问题描述 计算机组成原理小数点问题 如图,二进制的2^-100的100怎么来的? 解决方案 这里的100代表的是二进制的100不是十进制1101.0011小数点右移了4位,后面就乘上2的-100 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l8Dxb.html" rel="bookmark" class="title">【解决】NFS服务器使用showmount &ndash;e命令报错</a>
					<div>
						今天在NFS服务器使用showmount –e查看NFS共享目录时,发现系统一直显示如下错误: clnt_create: RPC: Port mapper failure – Timed out 查询 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd9BZb.html" rel="bookmark" class="title">js不被IE拦截弹出窗口代码</a>
					<div>
						js不被IE拦截弹出窗口代码 弹出网址改成自己要弹出的地址即可            var paypopupURL = &quot;http://www./弹出的网址.com&quot;;    v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNAAb.html" rel="bookmark" class="title">webkit browser com组件异常，怎么回事啊？</a>
					<div>
						问题描述 webkitbrowsercom组件异常,怎么回事啊? 解决方案 解决方案二:用webkit.net的组件在winform中,本机使用正常,编译后拿到其他计算机上运行报错..System.R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R3yPz.html" rel="bookmark" class="title">求助关于compiere安装的问题</a>
					<div>
						问题描述 已安装好ORACLE10g.j2sdk1.5.0:compiereRUN_setup.bat运行后的&quot;compiere服务器设置&quot;运行成功:Compiere2utilsR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JX57z.html" rel="bookmark" class="title">Mac安装Windows会因显示驱动升级黑屏？</a>
					<div>
						尽管Mac与Windows兼容已经很多年了,但有些该出现的问题还是要出现的. Mac 使用双系统并不是什么新鲜事儿.实际上,如果 Mac 不能安装 Windows 系统,其用户基数势必会受到影响.也许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRX02p.html" rel="bookmark" class="title">企业网络营销网站建设知多少？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 两年的多的网站建设以及网络项目的策 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7YJOz.html" rel="bookmark" class="title">JAVA线程间协作：wait&period;notify&period;notifyAll</a>
					<div>
						    JAVA的进程同步是通过synchronized()来实现的,需要说明的是,JAVA的synchronized()方法类似于操作系统概念中的互斥内存块,在JAVA中的Object类型中,都是带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJolEp.html" rel="bookmark" class="title">好奇怪的问题</a>
					<div>
						问题描述 请问各位,为什么我的页面中的datalist进入编辑模板(视图页面)编辑后,切换到html页面,再要切回视图页面是就没有响应了,必须关掉vs2005,而且只在一个页面中这样,其他页面不会,各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgWYkM.html" rel="bookmark" class="title">hi3531的hifb显示1080p60Hz</a>
					<div>
						#include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;string.h&gt; #include &lt;unistd.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60WGLz.html" rel="bookmark" class="title">asp&period;net-gridview中点击编辑&comma;跳出bootstrap模态框中显示数据</a>
					<div>
						问题描述 gridview中点击编辑,跳出bootstrap模态框中显示数据 我想要用ASP.NET中的gridview控件,点击编辑可以弹出bootstrap模态框显示数据,模态框已经设置好,就是没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj2D0M.html" rel="bookmark" class="title">携程被曝支付日志漏洞致用户信用卡信息泄露</a>
					<div>
						漏洞报告平台乌云网今日在其官网上公布了一条网络安全漏洞信息(链接),指出携程安全支付日志可遍历下载,导致大量用户银行卡信息泄露(包含持卡人姓名身份证.银 行卡号.卡CVV码.6位卡Bin),并称已将细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ13W0b.html" rel="bookmark" class="title">产品包开发中的资料开发</a>
					<div>
						产品包是产品http://www.aliyun.com/zixun/aggregation/17799.html&quot;&gt;开发过程中,需要交付的产品相关所有内容的集合.产品包同时也是产品在面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq58dp.html" rel="bookmark" class="title">Shell脚本传递参数的3种方法比较&lowbar;linux shell</a>
					<div>
						#!/bin/bash #extracting command text_text_text_line options as parameters help_info(){ echo &quot;NA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV77RDb.html" rel="bookmark" class="title">浅谈JavaScript中的this指针和引用知识&lowbar;javascript技巧</a>
					<div>
						this是javascript的一个关键字,随着函数使用场合不同,this的值会发生变化.但是总有一个原则,那就是this指的是调用函数的那个对象. this指针在传统OO语言中,是在类中声明的,表示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q2RBp.html" rel="bookmark" class="title">php&plus;flash&plus;jQuery多图片上传源码分享&lowbar;php实例</a>
					<div>
						flash+php多图片上传的源码,测试成功,一个经典的上传源码,为什么要用flash作为上传的组件呢,其实这里不仅仅是flash,另加了jquery的技术,这样做的目的是为了更好更方便的管理图片,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkjlvz.html" rel="bookmark" class="title">JavaScript创建命名空间的5种写法&lowbar;php技巧</a>
					<div>
						在JavaScript中全局变量经常会引起命名冲突,甚至有时侯重写变量也不是按照你想像中的顺序来的,可以看看下面的例子: 复制代码 代码如下: var sayHello = function() {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVokjz.html" rel="bookmark" class="title">Gstreamer Android h264硬解码</a>
					<div>
						问题描述 Gstreamer Android h264硬解码 最近在使用Gstreamer来实验Android平台的音视频接收,视频编码格式为H264,但是Gstreamer使用软解码效果不是很有,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdwYQM.html" rel="bookmark" class="title">Linux版Skype获得微软额外关照 界面比过去版本更干净更现代化</a>
					<div>
						Linux版Skype正在获得微软额外关照,微软正在持续不断提升Linux版Skype beta.上个月,在Windows和MacOS平台上推出重新设计的Skype,提升用户体验之后,该公司也推出了相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmPG7b.html" rel="bookmark" class="title">Javascript&colon;小心使用innerHTML</a>
					<div>
						最近在做AJAX,想用javascript实现DataList功能,遇到一个棘手的问题,由于要生成的HTML很长,所以我写成如下的形式: list.innerHTML=&quot;&lt;table& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA63N3p.html" rel="bookmark" class="title">Skype通话调度功能提供给Android用户</a>
					<div>
						微软本月初宣布,将在未来几周内为移动版Skype带来一些新功能.现在,这些新功能当中的通话调度功能已经提供给Android版Skype,而不是iOS版本.要使用这项功能,用户只需要打开一个联系人,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW0PmM.html" rel="bookmark" class="title">SpriteBuilder实际操作中如何确定合适Breaking force的值</a>
					<div>
						确定Breaking force合适的值同样很单调,但是按照下面的方法也并不是完全不可能: 输入一个随意的值,比如说100 检查实际场景中关节是否能承受住物理物体,在完美的情况下物理物体将保持静止.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
